<form [formGroup]="centerForm">
  <div>
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Bikes cost" formControlName="cost"
        [ngClass]="{invalid: centerForm.get('cost').invalid && centerForm.get('cost').touched}">
      <mat-error *ngIf="centerForm.get('cost').invalid && centerForm.get('cost').touched">
        <mat-error *ngIf="centerForm.get('cost').errors['required']">
          Please enter bikes cost
        </mat-error>
        <mat-error *ngIf="centerForm.get('cost').errors['pattern']">
          Please valid bikes cost
        </mat-error>
      </mat-error>
    </mat-form-field>


    <mat-form-field class="example-full-width">
      <input matInput placeholder="Bikes count" formControlName="bikesCount"
        [ngClass]="{invalid: centerForm.get('bikesCount').invalid && centerForm.get('bikesCount').touched}">
      <mat-error *ngIf="centerForm.get('bikesCount').invalid && centerForm.get('bikesCount').touched">
        <mat-error *ngIf="centerForm.get('bikesCount').errors['required']">
          Please enter bikes count
        </mat-error>
        <mat-error *ngIf="centerForm.get('bikesCount').errors['pattern']">
          Please valid bikes Count
        </mat-error>
      </mat-error>
    </mat-form-field>
  </div>

  <mat-form-field class="example-full-width">
    <input matInput placeholder="Refund deposit" formControlName="refundDeposit"
      [ngClass]="{invalid: centerForm.get('refundDeposit').invalid && centerForm.get('refundDeposit').touched}">
    <mat-error *ngIf="centerForm.get('refundDeposit').invalid && centerForm.get('refundDeposit').touched">
      <mat-error *ngIf="centerForm.get('refundDeposit').errors['required']">
        Please enter refund deposit
      </mat-error>
      <mat-error *ngIf="centerForm.get('refundDeposit').errors['pattern']">
        Please valid refund deposit
      </mat-error>
    </mat-error>
  </mat-form-field>

  <div class="button-row">
    <button [disabled]="!centerForm.valid" mat-flat-button color="primary"
      (click)="onSubmit(centerForm.value, data.id)">
      Save
    </button>
    <button mat-button (click)="onNoClick()">Cancel</button>
  </div>
</form>